/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCDATASection_H___INT_
#define __GdomCDATASection_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomText.h"
#include "GDOMObject.h"
#include "CDATASection.h"
G_BEGIN_DECLS
class GDOMCDATASection : public GDOMText {
    typedef GDOMText Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CDATA_SECTION; }
    GDOMCDATASection(PassRefPtr<WebCore::CDATASection> impl);
};
G_END_DECLS

#endif /* __GdomCDATASection_H___INT_*/
